package webserver

import (
	"net/http"
	"watn3y.de/bloaterbot/config"

	"github.com/rs/zerolog/log"
)

func RunServer() {
	//http.HandleFunc("/", handle204)

	videos := http.FileServer(http.Dir("data/videos"))
	nenefoot := http.FileServer(http.Dir("data/nenefoot"))

	http.Handle("/", videos)
	http.Handle("/nenefoot/", nenefoot)

	log.Info().Str("port", config.BotConfig.Webserver.Port).Msg("Started webserver")
	err := http.ListenAndServe(":"+config.BotConfig.Webserver.Port, nil)

	if err != nil {
		log.Panic().Err(err).Msg("Failed to start webserver")
	}


}

/*func handle204(w http.ResponseWriter, r *http.Request) {

	buf, err := os.ReadFile("data/204.jpg")
	if err != nil {
		log.Err(err).Msg("failed to open data/204.jpg")
	}
	w.Header().Set("Content-Type", "image/jpeg")
	w.Write(buf)
	return

}
*/
